<!-- -------------------- ./doc/snippets/documents-navigation.html -------------------- -->

<div class="documents-list__title">
  <h3 class="fr-h5">
    Liste des documents
  </h3>

  <?php if ($this->MODACC == 'RW') : ?>
    <div class="fr-col">
      <a class="fr-btn fr-btn--sm fr-btn--icon--left fr-icon-add-line" title="Ajouter des documents" href="<?php echo $this->URL->GetInnerMethod('AddFile1'); ?>" target="_self">
        Ajouter
      </a>
    </div>
  <?php endif; ?>
</div>

<hr>

<ul class="fr-btns-group fr-btns-group--inline-md fr-btns-group--sm">
  <li>
    <button type="button" class="fr-btn fr-btn--secondary fr-btn--icon-left fr-icon-check-line" title="Sélectionner tous les documents ou inverser la sélection" onclick="menuItemToggleAll()">
      Tout (dé)sélectionner
    </button>
  </li>

  <li>
    <button type="button" class="fr-btn fr-btn--secondary fr-icon-download-line" title="Télécharger le ou les document(s) sélectionné(s)" onclick="contentGetZip()">
      Télécharger
    </button>
  </li>

  <?php if ($this->MODACC == 'RW') : ?>
    <li id="menuFileRenameButton" style="display: none">
      <a class="fr-btn fr-btn--secondary fr-icon-edit-line" title="Renommer le ou les document(s) sélectionné(s)" href="javascript:contentRename()" target="_self">
        Renommer
      </a>
    </li>

    <li id="menuFileDeleteButton" style="display: none">
      <a class="fr-btn fr-btn--secondary fr-icon-delete-line" title="Supprimer le ou les document(s) sélectionné(s)" href="javascript:contentDelete()" target="_self">
        Supprimer
      </a>
    </li>
  <?php endif; ?>
</ul>

<form id="menuFileForm" class="documents-list fr-sidemenu__inner" enctype="multipart/form-data" method="post" action="<?php echo $this->URL->GetDosMethod('ActionOnFiles'); ?>">
  <input name="DID" value="<?php echo $this->DOSINFO['did']; ?>" type="hidden" />
  <input id="menuFileAction" name="ACTION" value="none" type="hidden" />
  <ul class="fr-sidemenu__list">
    <?php foreach ($this->DOSINFO['filelist'] as $ind => $value) : $furl =
        $this->URL->GetInnerData($value); ?>
      <li class="fr-sidemenu__item">
        <div class="fr-checkbox-group fr-checkbox-group--sm">
          <input class="fr-input" type="checkbox" value="<?php echo $value; ?>" name="CFI[]" id="<?php echo base64_encode($value); ?>" onclick="javascript: menuItemClicked(this)" />
          <label class="fr-label" for="<?php echo base64_encode($value); ?>">&nbsp;</label>
        </div>
        <a href="<?php echo $furl; ?>" title="<?php echo $value; ?>" class="fr-sidemenu__link">
            <?php echo $value; ?>
          </a>
      </li>
    <?php endforeach; ?>
  </ul>
</form>
